Subject: FW: AS3?....

From: Christian Putnam <[email-masked]>
Date: Thu, 28 Feb 2002 19:48:12 -0600

I agree completely with bTrade's take on AS3.  I'll throw my two cents
in here and make a couple of points:  One, AS3 doesn't exist as a standard.
Two, It is misleading to use the term AS3 since users would infer that AS3
has a defined specification and interopability similar to AS1 and AS2.
Three, the firewall issue that David Peet describes is a real problem with
FTP.  Four, ebXML messaging will be the standand d'jour for B2B
communications in a year or two so why muddy the waters with yet another
standard.
 
    I believe that AS2 is finally getting traction in the marketplace.  AS1
will go nowhere-- Who wants their B2B transactions lost in SMTP never never
land?  Instead of promoting new standards we (AS1/AS2 vendors) ought to
focuse on promoting market adoption of AS2.
 
        "The disciples came to him privately, saying, "Tell us, what is the
sign of your coming, and of the end of the world?"
 "You will hear of wars and rumors of wars; there will be famines, plagues,
and earthquakes in various places; the                    sun will be
darkened, the moon will not give her light, the stars will fall from the
sky, the powers of the heavens  will be shaken; new unnecessary nonexistant
communication stardards will deceive many; and then the end will come"."
-- Matthew 24 (mostly)
 
    Cheers,
 
    Christian Putnam
    CEO
    iSoft
 
 p.s.   ebXML messaging is going to be slow (to much parsing).
-----Original Message-----
From: David Peet [mailto:[email-masked]] 
Sent: Thursday, February 28, 2002 4:51 PM
To: Greg Vesper; David Fischer; Jeff Lightcap; [email-masked]
Cc: Dave Bennett
Subject: RE: AS3?....

Sent for Bill Morgan by David Peet:
 
 There currently is no "AS3".
For the past three years, bTrade has been facilitating a healthy exchange of
opinions in this great debate.
Secure FTP is an established technology that leverages SSL to protect the
session.
"SMIME-ing" the payload is easily achievable for a nested security schema,
as is DES, 3DES, AES, PGP, etc.
Message Disposition Notifications are foreign to FTP servers and would thus
present a formidable barrier to adoption by current S/FTP environments.
Finally, there is still the great firewall policy debates relating to
exposing FTP ports to the Internet.
That is why Virtual Private Networks were created, to leverage the Internet
for secure business communications without the risk of exposing FTP ports.
 
Those of us who have provided EDIINT solutions over the past two or three
years have always understood these "FTP" challenges and have responded in
kind to market demands.  To date, the market has demanded Secure FTP, AS1,
and AS2.  
An AS3 offering can quickly be released by most of us, but adoption rates
will not be nearly as high as AS1 or AS2, if AS3 gains traction at all.
However, AS3 offerings may provide a degree of consternation by those trying
to simplify and consolidate secure Internet communications.
 
Regarding ebXML, the Message, Routing, and Transportation standard is
agnostic to SMTP, HTTP, or FTP communications.
Furthermore, the ebXML protocol was carefully crafted to be neutral of all
transport protocols.
HTTP, FTP, SMTP or any other "P" can be used within an ebXML framework.
 
By the way, did you hear about bTrade's AS4?
 
Bill Morgan
Executive Vice President,
Chief Solutions Officer
bTrade, inc.
www.bTrade.com <http://www.bTrade.com> 
972.580.2900
 
-----Original Message-----
From: Greg Vesper [mailto:[email-masked]]
Sent: Thursday, February 28, 2002 2:18 PM
To: David Fischer; Jeff Lightcap; [email-masked]
Cc: Dave Bennett
Subject: RE: AS3?....
 
I strongly suggest we take up the issue of demand.  Cyclone has been
servicing market demand for this capability for several years in production
hardened environments and would be happy to argue in favor of FTP as a valid
transport for EDIINT.
 
Alternatively, the role of FTP within the ebXML standard could be elevated
to achieve the same desired functionality with the advantage of what ebXML
brings to the table.
 
Either way, the absence of FTP as a transport for secure B2B messaging is an
obvious hole.  FTP is a valid transport with an enormous amount of existing
infrastructure - it ought to be elevated in the appropriate standards, be it
EDIINT, ebXML, or both.
 
I'm happy to actively participate in any initiatives in this regard.
Cheers,
-Greg.
 
Greg Vesper
Cyclone Commerce
Director, Product Management
480-627-1828 
-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David Fischer
Sent: Thursday, February 28, 2002 12:38 PM
To: Jeff Lightcap; [email-masked]
Subject: RE: AS3?....
There is no proposed AS3 standard.  On several occasions, vendor's have
requested an AS3 standard based upon FTP.  Thus far, we have not seen enough
end-user demand to proceed with this, but if such demand becomes evident, we
could.
 
Regards,
 
David Fischer
Drummond Group.
-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Jeff Lightcap
Sent: Thursday, February 28, 2002 12:47 PM
To: [email-masked]'
Subject: AS3?....
Anyone know what is proposed for AS3. Trailblazer Systems is implementing
FTP with S/MIME. They also mention AS3 on their web site as a proposed
standard: http://www.as400ftp.com/latestnews_detail.cfm?number=2
<http://www.as400ftp.com/latestnews_detail.cfm?number=2> 
I can't find anything about this proposed standard anywhere except for the
mention on the page indicated above. 
Jeffrey Lightcap 
Senior Application Engineer 
Cleo Communications 
www.cleo.com 
[email-masked] 
1-815-654-8110 ext 2735